今天在安装phpmyadmin的时候,登陆进去后,显示 “无法载入 mcrypt 扩展,请检查 PHP 配置!!!”
  根据以前的经验肯定是少编译了一个模块,后来google搜索一下,是因为少了一个 libmcrypt 的软件包,解决过程如下:
  需要安装libcrytp,在下面的地址下载libmarypt:
  ftp://mcrypt.hellug.gr/pub/crypto/mcrypt 安装:
  tar -zxvf libmcrypt-2.5.7.tar.gz
  cd libmcrypt-2.5.7
  ./configure
  make
  make install

或者利用yum直接安装更简单了

yum -y install libmcrypt
yum -y install libmcrypt-devel
  然后再重新编译PHP,加上编译参数:--with-mcrypt
./configure --with-apxs2=/usr/local/apache/bin/apxs --with-mysql=/usr/local/mysql --with-mysqli=/usr/local/mysql/bin/mysql_config --prefix=/usr/local/php --with-config-file-path=/usr/local/php --enable-force-cgi-redirect --enable-cgi --with-mcrypt --with-freetype-dir=/usr/lib --with-zlib --with-gd --with-gettext --with-gdbm --enable-mbstring --enable-sockets
dedecms系统验证码5.6不显示的问题可能还有libfreetype库没有安装的问题,需要
yum -y install libfreetype
yum -y install freetype-devel
yum -y install freetype
  测试下是否编译成功:
  [root@localhost php-5.2.4]# /usr/local/php/bin/php -m | grep mcrypt
  mcrypt
  别忘了重新启动apache!!!!
  再次进入phpmyadmin后,没有出现警告信息! OK,成功!